#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  totem-pl-parser-3.26.6

- Next

  yelp-xsl-41.1

- Up
- Home

# VTE-0.66.2

## Introduction to VTE

The VTE package contains a termcap file implementation for terminal emulators.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://gitlab.gnome.org/GNOME/vte/-/archive/0.66.2/vte-0.66.2.tar.bz2

- Download MD5 sum: 0371944dfe5198272628214304765ae8

- Download size: 492 KB

- Estimated disk space required: 14 MB (with tests)

- Estimated build time: 0.3 SBU (using parallelism=4; with tests)

### VTE Dependencies

#### Required

GTK+-3.24.31, libxml2-2.9.13, and pcre2-10.39

#### Recommended

ICU-70.1, GnuTLS-3.7.3, gobject-introspection-1.70.0, and Vala-0.54.7

#### Optional

FriBidi-1.0.11 and GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/vte

## Installation of VTE

Install VTE by running the following commands:

    mkdir build &&
    cd    build &&

    meson --prefix=/usr --buildtype=release -Dfribidi=false .. &&
    ninja

To test the results, issue ninja test.

Now, as the `root` user:

    ninja install &&
    rm -v /etc/profile.d/vte.*

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

rm -v /etc/profile.d/vte.*: This command removes two files installed in /etc/profile.d that have no use on a LFS system.

`-Dfribidi=false`: Omit this switch if you want to enable bidirectional capabilities.

`-Dgnutls=false`: Add this switch if you do not want to enable GnuTLS support.

`-Dvapi=false`: Add this switch if you do not want to enable vala bindings.

`-Ddocs=true`: Add this switch if wish to build the documentation.

## Contents

Installed Program: vte-2.91
Installed Library: libvte-2.91.so
Installed Directories: /usr/include/vte-2.91 and (optional) /usr/share/gtk-doc/html/vte-2.91

### Short Descriptions

vte-2.91 | is a test application for the VTE libraries
`libvte-2.91.so` | is a library which implements a terminal emulator widget for GTK+ 3

Last updated on

- Prev

  totem-pl-parser-3.26.6

- Next

  yelp-xsl-41.1

- Up
- Home